%global momorel 4
%global betaver 2
%global prever 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3c9b2c4800d8ef0b92dcc481fd9c62c9

Summary: Access and control bluetooth devices in KDE
Name: kdebluetooth
Version: 1.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPL
URL: http://bluetooth.kmobiletools.org/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/kde-bluetooth/%{name}-%{version}_beta%{betaver}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-momonga.patch
# patches from gentoo (original patches from suse)
Patch10: kcm-btpaired-fix.diff
Patch11: kcm-no-dcop-error.diff
Patch12: %{name}-dbuspasskeyagent.diff
Patch13: %{name}-sdp-bitop.diff
Patch14: %{name}.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: bluez-utils
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: bluez-libs-devel
BuildPreReq: dbus-qt-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: openobex-devel

%description
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%prep
%setup -q -n %{name}-%{version}_beta%{betaver}

%patch10 -p0 -b .fix_btpaired
%patch11 -p0 -b .fix_dcop_error
%patch12 -p1 -b .dbus
%patch13 -p0 -b .sdp_bitop
%patch14 -p0 -b .autostart_false

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-key Keywords \
  --add-category X-KDE-settings-peripherals \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Settings/Peripherals/obex.desktop

# remove
rm -f %{buildroot}%{_datadir}/apps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kbluetoothd
%{_bindir}/kbtobexclient
%{_bindir}/kbtsearch
%{_bindir}/kbtserialchat
%{_bindir}/khciconfig
%{_bindir}/kioclient
%{_bindir}/kioobex_start
%{_bindir}/qobexclient
%{_includedir}/kdebluetooth
%{_includedir}/qobex
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/kdebluetooth
%{_libdir}/lib*.la
%{_libdir}/lib*.so*
%{_sbindir}/qobexfbssrv
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/kioobex_start.desktop
%{_datadir}/applnk/Settings/Network/Bluetooth
%{_datadir}/applnk/Utilities/*.desktop
%{_datadir}/apps/kbluetoothd
%{_datadir}/apps/kbtobexclient
%{_datadir}/apps/kdebluetooth
%{_datadir}/apps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%{_datadir}/autostart/kbluetoothd.autostart.desktop
%{_datadir}/config/obexrc
%{_datadir}/desktop-directories/kde-settings-network-bluetooth.directory
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/bluetooth
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/*.xml
%{_datadir}/servicetypes/*.desktop

%changelog
* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.4m)
- remove bluetooth_sidebarentry.desktop

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.3m)
- rebuild without kdepim

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.2m)
- move obex.desktop from %%{_datadir}/applnk to %%{_datadir}/applications/kde

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.1m)
- initial package for Momonga Linux
- import 5 patches from gentoo
 +- 08 Apr 2007; Stefan Schweizer <genstef@gentoo.org>
 +- +files/better-menu-names.diff, +files/kcm-btpaired-fix.diff,
 +- +files/kcm-no-dcop-error.diff, +files/kdebluetooth.diff,
 +- +files/kdebluetooth-dbuspasskeyagent.diff,
 +- +files/kdebluetooth-sdp-bitop.diff, +kdebluetooth-1.0_beta2-r2.ebuild:
 +- Add SuSe patches works with bluez-utils-3.7 thanks to Sergey Temerkhanov
 +- <temerkhanov@mail.ru> in bug 172832
